Yandex Cloud
Поиск
Связаться с намиПодключиться
  • Истории успеха
  • Документация
  • Блог
  • Все сервисы
  • Статус работы сервисов
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Контейнеры
    • Инструменты разработчика
    • Бессерверные вычисления
    • Безопасность
    • Мониторинг и управление ресурсами
    • ИИ для бизнеса
    • Бизнес-инструменты
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Тарифы Yandex Cloud
    • Промоакции и free tier
    • Правила тарификации
  • Истории успеха
  • Документация
  • Блог
Проект Яндекса
© 2025 ТОО «Облачные Сервисы Казахстан»
Yandex Cloud Backup
    • Все инструкции
    • Активировать сервис
    • Посмотреть операции с ресурсами сервиса
    • Ограничить использование оперативной памяти агентом Cloud Backup
    • Посмотреть статистику резервного копирования
  • Управление доступом
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • List
        • ListArchives
        • ListFiles
        • Get
        • StartRecovery
        • Delete
  • Метрики Monitoring
  • Аудитные логи Audit Trails
  • История изменений
  • Решение проблем

В этой статье:

  • HTTP request
  • Query parameters
  • ArchiveParameters
  • InstancePolicy
  • BackupParameters
  • Response
  • Backup
  • BackupAttributes
  • Disk
  • Volume
  1. Справочник API
  2. REST (англ.)
  3. Backup
  4. List

Cloud Backup API, REST: Backup.List

Статья создана
Yandex Cloud
Обновлена 1 декабря 2025 г.
  • HTTP request
  • Query parameters
  • ArchiveParameters
  • InstancePolicy
  • BackupParameters
  • Response
  • Backup
  • BackupAttributes
  • Disk
  • Volume

List backups using filters.

HTTP requestHTTP request

GET https://backup.api.yandexcloud.kz/backup/v1/backups

Query parametersQuery parameters

Field

Description

computeInstanceId

string

List backups that belongs to specific Compute Cloud instance.

Includes only one of the fields computeInstanceId, archive, folderId, instancePolicy, resourceId, policyId, backup.

archive

ArchiveParameters

List backups that belongs to specific archive of specific folder.

Includes only one of the fields computeInstanceId, archive, folderId, instancePolicy, resourceId, policyId, backup.

folderId

string

List backups that belongs to specific folder.

Includes only one of the fields computeInstanceId, archive, folderId, instancePolicy, resourceId, policyId, backup.

instancePolicy

InstancePolicy

List backups that belongs to specific instance and policy at the same time.

Includes only one of the fields computeInstanceId, archive, folderId, instancePolicy, resourceId, policyId, backup.

resourceId

string

List backups by specific resource ID.

Includes only one of the fields computeInstanceId, archive, folderId, instancePolicy, resourceId, policyId, backup.

policyId

string

List backups by specific policy ID.

Includes only one of the fields computeInstanceId, archive, folderId, instancePolicy, resourceId, policyId, backup.

backup

BackupParameters

List backups by specific backup ID.

Includes only one of the fields computeInstanceId, archive, folderId, instancePolicy, resourceId, policyId, backup.

orderBy

string

By which column the listing should be ordered and in which direction,
format is "createdAt desc". "createdAt desc" if omitted.

filter

string

Filter list by various parameters.
Supported parameters are:

  • created_at

Supported logic operators:

  • AND

type

enum (ResourceType)

Type of resource. Could be compute VM or baremetal server.

  • COMPUTE: Resource is Compute Cloud VM
  • BMS: Resource is baremetal server
  • EXTERNAL_VM: Resource is VM
  • EXTERNAL_SERVER: Resource is server

pageSize

string (int64)

Number of results per page.

The maximum value is 1000.

pageToken

string

Token for the results page. Not allowed to use if listing is performed by specific policy ID.

The maximum string length in characters is 100.

ArchiveParametersArchiveParameters

Field

Description

archiveId

string

Required field. Archive ID.

folderId

string

Required field. Folder ID.

InstancePolicyInstancePolicy

Field

Description

computeInstanceId

string

Compute Cloud instance ID.

policyId

string

Policy ID.

BackupParametersBackupParameters

Field

Description

backupId

string

Required field.

folderId

string

Required field.

ResponseResponse

HTTP Code: 200 - OK

{
  "backups": [
    {
      "id": "string",
      "vaultId": "string",
      "archiveId": "string",
      "createdAt": "string",
      "lastSeenAt": "string",
      "size": "string",
      "deduplicatedSize": "string",
      "backedUpDataSize": "string",
      "originalDataSize": "string",
      "attributes": {
        "streamName": "string",
        "uri": "string"
      },
      "computeInstanceId": "string",
      "disks": [
        {
          "deviceModel": "string",
          "name": "string",
          "size": "string",
          "volumes": [
            {
              "freeSpace": "string",
              "isBootable": "boolean",
              "isSystem": "boolean",
              "name": "string",
              "size": "string",
              "mountStrid": "string"
            }
          ]
        }
      ],
      "type": "string",
      "deleted": "boolean",
      "policyId": "string",
      "resourceId": "string"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

backups[]

Backup

nextPageToken

string

Token for the next results page.

BackupBackup

Field

Description

id

string

ID of the backup.

vaultId

string

ID of the backup vault.

archiveId

string

ID of the backup archive.

createdAt

string (date-time)

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

lastSeenAt

string (date-time)

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

size

string (int64)

Backup size.

deduplicatedSize

string (int64)

Deduplicated backup size.

backedUpDataSize

string (int64)

Backed up data size.

originalDataSize

string (int64)

Original data size.

attributes

BackupAttributes

computeInstanceId

string

Compute Cloud instance ID.

disks[]

Disk

type

enum (Type)

  • FULL
  • INCREMENTAL

deleted

boolean

If this field is true, it means that the backup was deleted.

policyId

string

Policy ID.

resourceId

string

Resource ID. It identifies Compute Cloud instance in backup service.

BackupAttributesBackupAttributes

Backup attributes.

Field

Description

streamName

string

Backup stream name.

uri

string

URI of the backup archive.

DiskDisk

Field

Description

deviceModel

string

Device model.

name

string

Disk name.

size

string (int64)

Disk size.

volumes[]

Volume

VolumeVolume

Field

Description

freeSpace

string (int64)

Free space in the volume.

isBootable

boolean

If this field is true, it means that the volume is bootable.

isSystem

boolean

If this field is true, it means that the volume is a system volume.

name

string

Volume name.

size

string (int64)

Volume size.

mountStrid

string

Mount string ID.

Была ли статья полезна?

Предыдущая
Overview
Следующая
ListArchives
Проект Яндекса
© 2025 ТОО «Облачные Сервисы Казахстан»